Permalink
Browse files

we need to require yaml even if we have psych

fixes #1441
  • Loading branch information...
1 parent 9d1d7f7 commit 4ef23891bf40ecf7e39bb9e5fbed2ca6c1a8bd80 @indirect indirect committed Sep 21, 2011
Showing with 2 additions and 1 deletion.
  1. +2 −1 lib/bundler.rb
View
@@ -4,8 +4,9 @@
begin
# Pull in Psych if we can, but not if Syck is already loaded
- require 'psych' unless defined?(YAML)
+ require 'psych' unless defined?(::YAML)
rescue LoadError
+ensure
require 'yaml'
end

0 comments on commit 4ef2389

Please sign in to comment.